Inhalte

# Funktion Timer

Liefert einen Wert zurück, der die vergangene Zeit seit Mitternacht in Sekunden festlegt.

Um die Funktion Timer aufzurufen, müssen Sie zuerst eine Variable mit dem Typ "Long" deklarieren. Ansonsten wird ein Wert des Typs "Date" zurückgegeben.

### Syntax:

      Timer

### Rückgabewert:

Datum

### Beispiel:

      Sub ExampleTimer
          Dim lSec As Long,lMin As Long,lHour As Long
          lSec = Timer
          MsgBox lSec, 0, "Zeit in Sekunden"
          lMin = lSec / 60
          lSec = lSec Mod 60
          lHour = lMin / 60
          lMin = lMin Mod 60
        MsgBox Right("00" & lHour , 2) & ":"& Right("00" & lMin , 2) & ":" & Right("00" & lSec , 2), 0, "Uhrzeit"
    End Sub

Die Funktion Timer misst die Zeit in Sekunden. Um die Zeit in Millisekunden zu messen, verwenden Sie den Dienst Timer in der Bibliothek ScriptForge.

Verwandte Themen

Dienst ScriptForge.Timer